openSUSE Security Update : IPython / python3-IPython (openSUSE-2015-638)

Medium Nessus Plugin ID 86321


The remote openSUSE host is missing a security update.


IPython was updated to fix a cross-site-scripting vulnerability in handling local foldernames. (CVE-2015-6938, bnc#945828)


Update the affected IPython / python3-IPython packages.

See Also

Plugin Details

Severity: Medium

ID: 86321

File Name: openSUSE-2015-638.nasl

Version: $Revision: 1.1 $

Type: local

Agent: unix

Published: 2015/10/09

Modified: 2015/10/09

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:IPython, p-cpe:/a:novell:opensuse:python3-IPython, cpe:/o:novell:opensuse:13.1, cpe:/o:novell:opensuse:13.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2015/09/28

Reference Information

CVE: CVE-2015-6938